igeo.io

## Class IRhino3dm.ObjectAttributes

- java.lang.Object
- - igeo.io.IRhino3dm.RhinoObject
  - - igeo.io.IRhino3dm.ObjectAttributes

- Enclosing class:
    IRhino3dm

      public static class IRhino3dm.ObjectAttributes
      extends IRhino3dm.RhinoObject

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `activeSpace`
    `IColor` | `color`
    `byte` | `colorSource`
    `int` | `displayOrder`
    `java.util.ArrayList<IRhino3dm.DisplayMaterialRef>` | `dmref`
    `java.util.ArrayList<java.lang.Integer>` | `group`
    `int` | `layerIndex`
    `int` | `linetypeIndex`
    `byte` | `linetypeSource`
    `int` | `materialIndex`
    `byte` | `materialSource`
    `byte` | `mode`
    `java.lang.String` | `name`
    `short` | `objectDecoration`
    `IRhino3dm.UUID` | `objectUUID`
    `static IRhino3dm.UUID` | `obsoletePageSpaceObjectId`
    `IColor` | `plotColor`
    `byte` | `plotColorSource`
    `double` | `plotWeightMm`
    `byte` | `plotWeightSource`
    `IRhino3dm.RenderingAttributes` | `renderingAttributes`
    `java.lang.String` | `url`
    `static java.lang.String` | `uuid`
    `IRhino3dm.UUID` | `viewportId`
    `boolean` | `visible`
    `int` | `wireDensity`

    - ### Fields inherited from class igeo.io.IRhino3dm.RhinoObject

      `attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData, userDataList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectAttributes()`
    `ObjectAttributes(IObject e, IRhino3dm.Rhino3dmFile file)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IRhino3dm.UUID` | `getClassUUID()`
    `void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
    `void` | `readV5(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
    `java.lang.String` | `toString()`
    `void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`
    `void` | `writeReferencedComponentIndex(int type, int modelIndex)`
    `void` | `writeV5(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

    - ### Methods inherited from class igeo.io.IRhino3dm.RhinoObject

      `createIObject, getType, read, setAttributes, setAttributesToIObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### uuid

          public static final java.lang.String uuid

      See Also:
        Constant Field Values

    - #### obsoletePageSpaceObjectId

          public static final IRhino3dm.UUID obsoletePageSpaceObjectId

    - #### objectUUID

          public IRhino3dm.UUID objectUUID

    - #### name

          public java.lang.String name

    - #### url

          public java.lang.String url

    - #### layerIndex

          public int layerIndex

    - #### linetypeIndex

          public int linetypeIndex

    - #### materialIndex

          public int materialIndex

    - #### renderingAttributes

          public IRhino3dm.RenderingAttributes renderingAttributes

    - #### color

          public IColor color

    - #### plotColor

          public IColor plotColor

    - #### displayOrder

          public int displayOrder

    - #### plotWeightMm

          public double plotWeightMm

    - #### objectDecoration

          public short objectDecoration

    - #### wireDensity

          public int wireDensity

    - #### viewportId

          public IRhino3dm.UUID viewportId

    - #### activeSpace

          public short activeSpace

    - #### visible

          public boolean visible

    - #### mode

          public byte mode

    - #### colorSource

          public byte colorSource

    - #### plotColorSource

          public byte plotColorSource

    - #### plotWeightSource

          public byte plotWeightSource

    - #### materialSource

          public byte materialSource

    - #### linetypeSource

          public byte linetypeSource

    - #### group

          public java.util.ArrayList<java.lang.Integer> group

    - #### dmref

          public java.util.ArrayList<IRhino3dm.DisplayMaterialRef> dmref

  - ### Constructor Detail

    - #### ObjectAttributes

          public ObjectAttributes()

    - #### ObjectAttributes

          public ObjectAttributes(IObject e,
                                  IRhino3dm.Rhino3dmFile file)

  - ### Method Detail

    - #### getClassUUID

          public IRhino3dm.UUID getClassUUID()

      Overrides:
        `getClassUUID` in class `IRhino3dm.RhinoObject`

    - #### readV5

          public void readV5(IRhino3dm.Rhino3dmFile context,
                             java.io.InputStream is)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### read

          public void read(IRhino3dm.Rhino3dmFile context,
                           java.io.InputStream is)
                    throws java.io.IOException

      Overrides:
        `read` in class `IRhino3dm.RhinoObject`
      Throws:
        `java.io.IOException`

    - #### writeReferencedComponentIndex

          public void writeReferencedComponentIndex(int type,
                                                    int modelIndex)

    - #### writeV5

          public void writeV5(IRhino3dm.Rhino3dmFile context,
                              java.io.OutputStream os,
                              java.util.zip.CRC32 crc)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public void write(IRhino3dm.Rhino3dmFile context,
                            java.io.OutputStream os,
                            java.util.zip.CRC32 crc)
                     throws java.io.IOException

      Overrides:
        `write` in class `IRhino3dm.RhinoObject`
      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`